/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

// $Id: MBeanInvocationHandler.java,v 1.14.6.1 2005/03/02 14:19:58 tdiesler Exp $

package org.jboss.net.jmx;


import org.jboss.axis.client.Call;
import org.jboss.axis.client.Service;
import org.jboss.net.axis.AxisInvocationHandler;

import java.net.URL;
import java.util.Map;

/**
 * <p>
 * Helper class for dealing with remote JMX beans in typed or untyped ways.
 * </p>
 * @deprecated You should use the jaxrpc/wsdl approach instead.
 * @since  1. Oktober 2001, 18:22
 * @author <a href="mailto:Christoph.Jung@infor.de">Christoph G. Jung</a>
 * @version $Revision: 1.14.6.1 $
 */

public class MBeanInvocationHandler extends AxisInvocationHandler
{

   /** Creates new MBeanInvocationHandler pointing to a given url, using the given engine */

   public MBeanInvocationHandler(URL endpoint, String soapAction)
   {
      super(endpoint, soapAction);
   }

   /** Creates new MBeanInvocationHandler pointing to a given url, using the given engine */

   public MBeanInvocationHandler(URL endpoint, String soapAction, Map methodMap)
   {
      super(endpoint, soapAction, methodMap);
   }

   /** Creates new MBeanInvocationHandler pointing to a given url, using the given engine */

   public MBeanInvocationHandler(URL endpoint,
                                 String soapAction,
                                 Map methodMap,
                                 Map interfaceMap)
   {
      super(endpoint, soapAction, methodMap, interfaceMap);
   }

   /** Creates new MBeanInvocationHandler pointing to a given url, using the given engine */

   public MBeanInvocationHandler(URL endpoint,
                                 String soapAction,
                                 Map methodMap,
                                 Map interfaceMap,
                                 boolean maintainSession)
   {
      super(endpoint, soapAction, methodMap, interfaceMap, maintainSession);
   }

   /** Creates new MBeanInvocationHandler */

   public MBeanInvocationHandler(Call call, Map methodMap, Map interfaceMap)
   {
      super(call, methodMap, interfaceMap);
   }

   /** Creates new MBeanInvocationHandler */
   public MBeanInvocationHandler(URL endpoint, String soapAction,
                                 Service service,
                                 Map methodMap,
                                 Map interfaceMap)
   {
      super(endpoint, soapAction, service, methodMap, interfaceMap);
   }

   /** default creation of services */
   public static Object createMBeanService(Class _interface, URL endpoint, String soapAction)
   {
      return createAxisService(_interface,
              new MBeanInvocationHandler(endpoint, soapAction));
   }

   /** default creation of services */

   public static Object createMBeanService(Class _interface,
                                           MBeanInvocationHandler handler)
   {
      return createAxisService(_interface, handler);
   }

}